GETGet gasless order status
Get gasless order status
Authorization
x-api-keystringrequiredheaderPlayground key
You're using a shared playground keyCreate a free account and get your own API keys from the dashboard.
Get your keysQuery Parameters
orderTypeenumDutch_V2Dutch_V3LimitPriority
The UniswapX order type to retrieve.
orderIdstringA transaction hash for an order. orderId or orderIds must be provided, but not both.
orderIdsstringA list of comma separated orderIds (transaction hashes). orderId or orderIds must be provided, but not both.
limitnumberorderStatusenumopenexpirederrorcancelledfilledunverifiedinsufficient-funds
Filter by order status.
swapperstringFilter by swapper address.
sortKeyenumcreatedAt
Order the query results by the sort key.
sortstringSort query. For example: sort=gt(UNIX_TIMESTAMP), sort=between(1675872827, 1675872930), or lt(1675872930).
fillerstringFilter by filler address.
cursorstringResponse
The request orders matching the query parameters.
requestIdstringrequiredA unique ID for the request.
ordersobject[]requiredcursorstringGET
/ordersRequest
curl --request GET \
--url 'https://trade-api.gateway.uniswap.org/v1/orders' \
--header 'x-api-key: <api-key>'Response
200
{ "requestId": "<string>", "orders": [ { "type": "<string>", "encodedOrder": "<string>", "signature": "<string>", "nonce": "<string>", "orderStatus": "<string>", "orderId": "<string>", "chainId": "<number>", "quoteId": "<string>", "swapper": "<string>", "txHash": "<string>", "input": { "token": "<string>", "startAmount": "<string>", "endAmount": "<string>" }, "outputs": [ { "token": "<string>", "startAmount": "<string>", "endAmount": "<string>", "isFeeOutput": "<boolean>", "recipient": "<string>" } ], "settledAmounts": [ { "tokenOut": "<string>", "amountOut": "<string>", "tokenIn": "<string>", "amountIn": "<string>" } ], "cosignature": "<string>", "cosignerData": { "decayStartTime": "<number>", "decayEndTime": "<number>", "exclusiveFiller": "<string>", "inputOverride": "<string>", "outputOverrides": [ "<string>" ] } } ], "cursor": "<string>"}